--------------------------------------------------------------------------------
Contributing to Intel&reg; Performance Counter Monitor (Intel&reg; PCM)
--------------------------------------------------------------------------------

We warmly welcome contributions from everyone. If you wish to submit patches, please do so using GitHub's pull request (PR) feature. When adding substantial new features, it's crucial to also include relevant tests in our test suite, located in the test/test.sh file. This step helps verify the proper functioning of the new features.

--------------------------------------------------------------------------------
License
--------------------------------------------------------------------------------

Intel&reg; PCM is licensed using a [BSD 3-clause license](https://github.com/intel/pcm/blob/master/LICENSE). All code submitted to the project is required to carry that license.

--------------------------------------------------------------------------------
Coding Style
--------------------------------------------------------------------------------

While we don't enforce stringent coding style requirements, we do encourage adherence to standard coding style practices, such as those outlined in the [Google C++ Style Guide](https://google.github.io/styleguide/cppguide.html). When submitting patches, we request that you maintain the style consistency with the surrounding code. We discourage the use of tabs; please use 4 spaces for indentation instead.
